jif.lang

## Class MeetConfPolicy

- java.lang.Object
- - jif.lang.AbstractPolicy
  - - jif.lang.MeetPolicy
    - - jif.lang.MeetConfPolicy

- All Implemented Interfaces:
    ConfPolicy, Policy

      public final class MeetConfPolicy
      extends MeetPolicy
      implements ConfPolicy

  Represents the meet of confidentiality policies

- - ### Field Summary

    - ### Fields inherited from class jif.lang.AbstractPolicy

      `labelUtil`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfPolicy` | `join(ConfPolicy p)`
    `ConfPolicy` | `join(ConfPolicy p, boolean simplify)`
    `ConfPolicy` | `join(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)` Return the join of this policy and p.
    `ConfPolicy` | `join(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s, boolean simplify)`
    `ConfPolicy` | `meet(ConfPolicy p)`
    `ConfPolicy` | `meet(ConfPolicy p, boolean simplify)`
    `ConfPolicy` | `meet(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)`
    `ConfPolicy` | `meet(ConfPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s, boolean simplify)`

    - ### Methods inherited from class jif.lang.MeetPolicy

      `equals, hashCode, meetComponents, relabelsTo, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jif.lang.Policy

      `relabelsTo`

- - ### Method Detail

    - #### join

          public ConfPolicy join(ConfPolicy p,
                                 java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)

      Description copied from interface: `ConfPolicy`
      Return the join of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this join result depends upon.
      Specified by:
        `join` in interface `ConfPolicy`

    - #### meet

          public ConfPolicy meet(ConfPolicy p,
                                 java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s)

      Specified by:
        `meet` in interface `ConfPolicy`

    - #### join

          public ConfPolicy join(ConfPolicy p)

      Specified by:
        `join` in interface `ConfPolicy`

    - #### meet

          public ConfPolicy meet(ConfPolicy p)

      Specified by:
        `meet` in interface `ConfPolicy`

    - #### join

          public ConfPolicy join(ConfPolicy p,
                                 boolean simplify)

      Specified by:
        `join` in interface `ConfPolicy`

    - #### meet

          public ConfPolicy meet(ConfPolicy p,
                                 boolean simplify)

      Specified by:
        `meet` in interface `ConfPolicy`

    - #### join

          public ConfPolicy join(ConfPolicy p,
                                 java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s,
                                 boolean simplify)

      Specified by:
        `join` in interface `ConfPolicy`

    - #### meet

          public ConfPolicy meet(ConfPolicy p,
                                 java.util.Set<jif.lang.PrincipalUtil.DelegationPair> s,
                                 boolean simplify)

      Specified by:
        `meet` in interface `ConfPolicy`